=== debian/changelog ===
plasma-framework (5.115.0-7) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Since version 5.115.0-6 this package will break Plasma 5 so mark it
    as such. Versions 5.115.0-6 and later are only useful so that Qt5
    applications outside of Plasma can continue working alongside Plasma
    6. (Closes: #1088674)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 29 Nov 2024 14:47:41 +0100

plasma-framework (5.115.0-6) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 24 Nov 2024 09:35:21 +0100

plasma-framework (5.115.0-6~exp1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Build without the desktop themes to allow coinstallability with the Plasma
    6 version replacing it.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Aug 2024 00:37:54 +0200

plasma-framework (5.115.0-5) unstable; urgency=medium

  * Revert the experimental changes that were uploaded too early. We will need this only when we ship Plasma 6 to experimental.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Aug 2024 00:15:04 +0200

plasma-framework (5.115.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:20:52 +0200

plasma-framework (5.115.0-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Build without the desktop themes to allow coinstallability with the Plasma
    6 version replacing it.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 11 Jul 2024 00:10:48 +0200

plasma-framework (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:17:20 +0200

plasma-framework (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015583).
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:09:11 +0100
