## plasma-framework 5.116.0

=== src/scriptengines/CMakeLists.txt ===
add_subdirectory(qml)
