=== debian/changelog ===
plasma-framework (5.116.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Revert patch to lower KWayland required version. We do still ship KF5’s
    kwayland in the kwayland-kf5 package.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Apr 2025 01:04:38 +0200

plasma-framework (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Lower KWayland required version to 5.115, we ship 6.x in the same
    package name and there’s no new commit in the 5.116 upstream
    release.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:44:11 +0200
