## plasma-framework 5.116.0+p24.04+vstable+git20250909.0656

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20250909.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:56:49 +0000
