## plasma-framework 5.116.0+p24.04+vstable+git20251015.1210

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20251015.1210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:10:12 +0000
