=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               kirigami2-dev (>= 5.83.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.83.0~),
               libkf5archive-dev (>= 5.83.0~),
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.83.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5dbusaddons-dev (>= 5.83.0~),
               libkf5declarative-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5globalaccel-dev (>= 5.83.0~),
               libkf5guiaddons-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5iconthemes-dev (>= 5.83.0~),
               libkf5kio-dev (>= 5.83.0~),
               libkf5notifications-dev (>= 5.83.0~),
               libkf5package-dev (>= 5.83.0~),
               libkf5parts-dev (>= 5.83.0~),
               libkf5service-dev (>= 5.83.0~),
               libkf5wayland-dev (>= 4:5.83.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5windowsystem-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.15.0~),
               libqt5x11extras5-dev,
               libsm-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/plasma-framework
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/plasma-framework.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-framework
Maintainer: Neon CI <neon@kde.org>

Package: libkf5plasma5-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 5.83.0~),
         libkf5package-dev (>= 5.83.0~),
         libkf5plasma5-5 (= ${binary:Version}),
         libkf5plasmaquick5-5 (= ${binary:Version}),
         libkf5service-dev (>= 5.83.0~),
         libkf5windowsystem-dev (>= 5.83.0~),
         plasma-framework5 (= ${binary:Version}),
         qtdeclarative5-dev,
         ${misc:Depends}
Breaks: libkf5runner-dev (<< 5.54)
Recommends: libkf5plasma5-doc (= ${source:Version})
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: libkf5plasma5-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF5 and Qt5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5plasma5-5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.
Breaks: libkf5runner5 (<< 5.54),
        plasma-framework5 (<< 5.87.0),
        qml-module-org-kde-runnermodel (<< 5.42)
Replaces: plasma-framework5 (<< 5.87.0)

Package: libkf5plasmaquick5-5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework5
Architecture: any
Depends: qml-module-org-kde-kconfig (>= 5.70.0~),
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrols (>= 5.70.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.70.0~),
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-kirigami2 (<< 5.44)
Replaces: qml-module-org-kde-kirigami2 (<< 5.42~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.
