=== debian/watch ===
version=4

https://download.kde.org/stable/frameworks/5([\d.]+)/plasma-framework-([\d.]+)\.tar\.xz
