=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20251020.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:32:12 +0000
