## plasma-framework 5.116.0+p24.04+vstable+git20251224.0009

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20251224.0009-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 00:09:53 +0000
