## plasma-framework 5.116.0+p24.04+vstable+git20260102.1202

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20260102.1202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:02:24 +0000
