## plasma-framework 5.116.0+p24.04+vstable+git20260116.0319

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20260116.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 03:19:06 +0000
