## plasma-framework 5.116.0+p24.04+vstable+git20260131.0235

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vstable+git20260131.0235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:35:17 +0000
