## plasma-framework 5.116.0+p24.04+vunstable+git20251111.0400

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vunstable+git20251111.0400-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 04:00:28 +0000
