## plasma-framework 5.116.0+p24.04+vunstable+git20251124.1010

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vunstable+git20251124.1010-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 10:10:37 +0000
