## plasma-framework 5.116.0+p24.04+vunstable+git20260122.0250

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vunstable+git20260122.0250-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:50:54 +0000
