## plasma-framework 5.116.0+p24.04+vunstable+git20260201.0545

=== debian/changelog ===
plasma-framework (5.116.0+p24.04+vunstable+git20260201.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:45:30 +0000
